## osso-systemui-alarm 0.3.3+0cssu0

=== Makefile ===
all: libsystemuiplugin_alarm_dialog.so

clean:
	$(RM) libsystemuiplugin_alarm_dialog.so

install: libsystemuiplugin_alarm_dialog.so
	install -d $(DESTDIR)/usr/lib/systemui
	install -m 644 libsystemuiplugin_alarm_dialog.so $(DESTDIR)/usr/lib/systemui

libsystemuiplugin_alarm_dialog.so: osso-systemui-alarm.c
	$(CC) $^ -o $@ -shared $(CFLAGS) $(LDFLAGS) $(shell pkg-config --libs --cflags osso-systemui hildon-1 gconf-2.0 alarm libnotify gtk+-2.0 dbus-1 glib-2.0) -ltime -lhildon-plugins-notify-sv -L/usr/lib/hildon-desktop -Wl,-soname -Wl,$@ -Wl,-rpath -Wl,/usr/lib/hildon-desktop

.PHONY: all clean install

=== debian/changelog ===
osso-systemui-alarm (0.3.3+0cssu0) unstable; urgency=low

  * Cssu Release

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Sun, 23 Dec 2012 17:13:11 +0100

osso-systemui-alarm (0.3.3) unstable; urgency=low

  * Use osso-systemui-dev package for systemui.h

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 10 Dec 2012 17:10:32 +0200

osso-systemui-alarm (0.3.2) unstable; urgency=low

  * Do not leak PangoFontMetrics object in size_request_cb
  * Do not dereference uninitialized pointer in snooze_timeout
  * Check if we have valid notification/filter attached when removing an alarm from the list

 -- Ivaylo Dimmitrov <freemangordon@abv.bg>  Thu, 16 Nov 2012 14:33:17 +0200

osso-systemui-alarm (0.3.1) unstable; urgency=low

  * Do not leak NotifyNotification objects

 -- Ivaylo Dimmitrov <freemangordon@abv.bg>  Thu, 16 Nov 2012 09:17:23 +0200

osso-systemui-alarm (0.3) unstable; urgency=low

  * First RE release

 -- Ivaylo Dimmitrov <freemangordon@abv.bg>  Thu, 16 Aug 2012 11:49:51 +0300

=== debian/control ===
Source: osso-systemui-alarm
Section: misc
Maintainer: Ivaylo Dimmitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>= 5), pkg-config, libhildon1-dev, libgconf2-dev, libalarm-dev, libnotify-dev, libgtk2.0-dev, libdbus-1-dev,
 libglib2.0-dev, libtime-dev, hildon-plugins-notify-sv, mce-dev, osso-systemui-dev
Priority: optional
Standards-Version: 3.7.2

Package: osso-systemui-alarm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-systemui (>= 0.0.3.8), osso-powerup-shutdown-l10n-mr0 | osso-powerup-shutdown-l10n-mr, hildon-libs-l10n-mr | hildon-libs-l10n-mr0, osso-clock-l10n-mr | osso-clock-l10n-mr0
Suggests: osso-mediaengine (>= 1.2.19)
Description: Alarm dialog
 This package contains the alarm dialog.

Package: osso-systemui-alarm-dbg
Architecture: any
Section: devel
Depends: osso-systemui-alarm (= ${Source-Version})
Description: Alarm dialog debug symbls
 This package contains the Alarm dialog debug symbls

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.

CFLAGS := -ggdb

# Use thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build:
	dh_testdir
	CFLAGS="$(CFLAGS)" $(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

binary: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(PWD)/debian/osso-systemui-alarm/ install
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip --dbg-package=osso-systemui-alarm-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary
